Bio::Tools::Run::Hmmpfam(3)

NAME
Bio::Tools::Run::Hmmpfam

SYNOPSIS
  Build a Hmmpfam factory

  my @params = ('DB'=>$dbfile,'E'=>0.0001);
  my $factory = Bio::Tools::Run::Hmmpfam->new($params);

  # Pass the factory a Bio::Seq object or a file name

  # returns a Bio::SearchIO object
  my $search = $factory->run($seq);

  my @feat;
  while (my $result = $searchio->next_result){
   while(my $hit = $result->next_hit){
    while (my $hsp = $hit->next_hsp){
      push @feat, $hsp;
    }
   }
  }

  #Available params:
  # n        : nucleic acid models/sequence (default protein)
  # E <x>    : sets E value cutoff (globE) to <x>; default 10
  # T <x>    : sets T bit threshold (globT) to <x>; no threshold by default
  # Z <n>    : sets Z (# models) for E-value calculation

DESCRIPTION
Wrapper module for Hmmpfam program that allows one to search a sequence against an HMM database. Binary is available at http://hmmer.wustl.edu/

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

 bioperl-l@bioperl.org          - General discussion
 http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via email or the web:

 bioperl-bugs@bioperl.org
 http://bugzilla.bioperl.org/

AUTHOR - Bala
 Email: bala@tll.org.sg

CONTRIBUTORS
 Shawn Hoon shawnh@fugu-sg.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  program_name
 Title   : program_name
 Usage   : $factory>program_name()
 Function: holds the program name
 Returns:  string
 Args    : None

  program_dir
 Title   : program_dir
 Usage   : $factory->program_dir(@params)
 Function: returns the program directory, obtiained from ENV variable.
 Returns:  string
 Args    :

  new
 Title   : new
 Usage   : $hmmpfam->new(@params)
 Function: creates a new Hmmpfam factory
 Returns:  Bio::Tools::Run::Hmmpfam
 Args    :

  predict_protein_features
 Title   :   predict_protein_features
 Usage   :   DEPRECATED. Use obj->run($seqFile)
 Function:   Runs Hmmpfam and creates an array of featrues
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  run
 Title   :   run
 Usage   :   $obj->run($seqFile)
 Function:   Runs Hmmpfam and creates an array of featrues
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  _run
 Title   :   _run
 Usage   :   $obj->_run()
 Function:   Internal(not to be used directly)
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :

  _setparams
 Title   :  _setparams
 Usage   :  Internal function, not to be called directly
 Function:  creates a string of params to be used in the command string
 Example :
 Returns :  string of params
 Args    :

  _writeSeqFile
 Title   :   _writeSeqFile
 Usage   :   obj->_writeSeqFile($seq)
 Function:   Internal(not to be used directly)
 Returns :
 Args    :